# use appimage from https://github.com/Venipa/ytmdesktop2

%define __os_install_post %{nil}

Name:	youtube-music-for-desktop
Version:	0.10.11
Release:	%mkrel 1
License:	GPLv3
Group:	Sound
Summary:	Desktop Application to play youtube music
Url:		https://github.com/Venipa/ytmdesktop2
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
A desktop application to play youtube music.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/Venipa/ytmdesktop2/releases/download/v%{version}/YouTube-Music-for-Desktop-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/YouTube-Music-for-Desktop-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Mar 24 2023 tex - 0.10.11-1pclos2023
- new version

* Mon Feb 06 2023 tex - 0.10.9-1pclos2023
- new version

* Wed Jan 18 2023 tex - 0.10.4-1pclos2023
- new version

* Mon Jan 16 2023 tex - 0.10.2-1pclos2023
- new version

* Sun Jan 08 2023 tex - 0.9.9-1pclos2023
- new version

* Tue Dec 20 2022 tex - 0.9.5-1pclos2022
- new version

* Sun Nov 27 2022 tex - 0.9.3-1pclos2022
- create pkg for pclos
